import { Spacer } from "@/foundations";
import { flex, mq } from "@/style-predefines";
import { css } from "@emotion/react";
import styled from "@emotion/styled";
import chroma from "chroma-js";

const NavigationContainer = styled.div(
  ({ theme }) => css`
    height: 100%;
    width: ${theme.spacings.xxs * 36}px;
    padding-top: ${theme.spacings.xxs * 24}px;
    background-color: ${chroma(theme.backgroundColor.light).darken(0.3).hex()};
    ${flex(theme, "column", "flex-start", "stretch", "sm")}
    ${mq.dark} {
      background-color: ${chroma(theme.backgroundColor.dark).brighten(0.3).hex()};
    }
  `
);

export function NavigationBar() {
  return (
    <NavigationContainer>
      <Spacer />
    </NavigationContainer>
  );
}
